<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net10.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <BlazorDisableThrowNavigationException>true</BlazorDisableThrowNavigationException>
  </PropertyGroup>

  <ItemGroup>
    <Content Remove="wwwroot\avatars\readme.txt" />
    <Content Remove="wwwroot\uploads\readme.txt" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Data\Events\" />
    <Folder Include="Features\Multitenant\TenantUser\Components\" />
    <Folder Include="Features\Multitenant\TenantUser\Cqrs\" />
    <Folder Include="Features\Multitenant\Tenant\Components\" />
    <Folder Include="Features\Multitenant\Tenant\Cqrs\" />
    <Folder Include="wwwroot\xlogs\" />
  </ItemGroup>

  <ItemGroup>
    <None Include="wwwroot\avatars\readme.txt" />
    <None Include="wwwroot\xlogs\readme.txt" />
    <None Include="wwwroot\uploads\readme.txt" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="AutoMapper" Version="16.1.1" />
    <PackageReference Include="ClosedXML" Version="0.105.0" />
    <PackageReference Include="FluentValidation.DependencyInjectionExtensions" Version="12.1.1" />
    <PackageReference Include="MailKit" Version="4.16.0" />
    <PackageReference Include="MediatR" Version="12.5.0" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="10.0.5" />
    <PackageReference Include="Microsoft.AspNetCore.Identity.EntityFrameworkCore" Version="10.0.4" />
    <PackageReference Include="Microsoft.AspNetCore.OData" Version="9.4.1" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="10.0.4" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="10.0.4" />
    <PackageReference Include="MimeKit" Version="4.16.0" />
    <PackageReference Include="MudBlazor" Version="9.0.0" />
    <PackageReference Include="MySql.EntityFrameworkCore" Version="10.0.1" />
    <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="10.0.0" />
    <PackageReference Include="QuestPDF" Version="2026.2.4" />
    <PackageReference Include="RestSharp" Version="114.0.0" />
    <PackageReference Include="Serilog.AspNetCore" Version="10.0.0" />
    <PackageReference Include="Serilog.Enrichers.Environment" Version="3.0.1" />
    <PackageReference Include="Serilog.Enrichers.Process" Version="3.0.0" />
    <PackageReference Include="Serilog.Enrichers.Sensitive" Version="2.1.0" />
    <PackageReference Include="Serilog.Enrichers.Thread" Version="4.0.0" />
    <PackageReference Include="Serilog.Sinks.Console" Version="6.1.1" />
    <PackageReference Include="Serilog.Sinks.File" Version="7.0.0" />
    <PackageReference Include="Serilog.Sinks.MSSqlServer" Version="9.0.3" />
    <PackageReference Include="Serilog.Sinks.Seq" Version="9.0.0" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="10.2.3" />
  </ItemGroup>

</Project>
